@import url('https://fonts.googleapis.com/css2?family=Cormorant:ital,wght@0,300..700;1,300..700&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.hidden{
    display: none;
    visibility: hidden;
}

:root{
    --bg: #F9F8F6;
    --primary: #1B1A1A;
    --secondary: #626262;
    --bg-card: #FFFFFF;

    --radius: 40px;
    --spacing-sm: 0.6rem;
    --spacing: 1rem;
    --spacing-md: 1.6rem;

    --font-title: "Cormorant", serif;
    --font-text: "Inter", sans-serif;

    --title-size: 3.2rem;
    --subtitle-size: 2.2rem;
}

.genero{
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--primary);
    padding: var(--spacing-sm);
    border-radius: var(--radius);
    font-size: 0.8rem;
    transition: all 1.3s ease;
}
.genero:hover{
    transform: scale(1.05);
}

.container, .main-info, footer{
    width: 100%;
    padding: var(--spacing-md);
}

body{
    display: flex;
    background-color: var(--bg);
    width: 100%;
    min-height: 100dvh;
    display: flex;
    flex-direction: column;
}

main{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

section{
    min-height: 100dvh;
}

h1,h2, h3:has(.subtitulo){
    font-family: var(--font-title);
    color: var(--primary);
}

h3{
    font-weight: 400;
}

h3,h4,h5,h6,p,a,span,button{
    font-family: var(--font-text);
    color: var(--primary);
}

header{
    display: flex;
    flex-direction: column;
}

nav{
    display: flex;
    justify-content: space-between;
    background-color: var(--bg-card);
    padding: var(--spacing-md);
    box-shadow: 2px 2px 14px 1px rgba(27, 26, 26, 0.24);
}

header .logo, .apresentaLivro-header > .titulo{
    display: flex;
    flex-direction: row;
    align-items: center;
}

.titulo i{
    cursor: pointer;
}

header img{
    width: 40px;
    margin-right: var(--spacing-sm);
}

button{
    padding: var(--spacing);
    border-radius: var(--radius);
    border: 1px solid black;
    cursor: pointer;
}

ul, li, a{
    display: flex;
    flex-direction: column;
    text-decoration: none;
}

header ul, header li{
    text-align: right;
}

footer{
    width: 100%;
    background-color: var(--bg-card);
    color: var(--secondary);
    box-shadow: 2px -2px 14px 1px rgba(27,26,26,0.24);
}

.footer-navegation{
    display: flex;
    flex-direction: column;
    gap: var(--spacing);
}

footer ul{
    margin-bottom: var(--spacing);
}

footer ul li, footer a, footer span, footer h2{
    color: var(--secondary);
}
footer a:hover{
    color: var(--primary);
}

h2{
    font-size: var(--subtitle-size);
}

footer p{
    width: 100%;
    display: flex;
    align-items: center;
    text-align: justify;
    color: var(--secondary);
}

.btns{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: var(--spacing);
}
.btn{
    background-color: var(--bg-card);
    color: var(--primary);
}
.btn-principal{
    background-color: var(--primary);
    color: var(--bg);
}
.btn-fechar{
    border: none;
    background-color: transparent;
}

.sinopse{
    text-align: justify;
}

.card{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: justify;
    background-color: var(--bg-card);
    border: 2px solid var(--primary);
    border-radius: var(--radius);
    padding: var(--spacing-md);
    margin-bottom: var(--spacing-md);
}

.apresentaLivro-header{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 var(--spacing);
}

.divisor{
    width: 100%;
    height: 1px;
    background-color: var(--primary);
    margin: var(--spacing);
}

.ano{
    margin-bottom: var(--spacing);
}

.generos{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: var(--spacing-sm);
    margin-bottom: var(--spacing);
    justify-content: center;
    justify-items: center;
}

@media (min-width: 640px){
    .generos{
        display: flex;
        flex-direction: row;
        justify-content: center;
    }

    .container{
        width: 70%;
        max-width: 1200px;
        margin: 0 auto;   
    }
}